unit Unit2; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  TJFLOptions = RECORD
                      useDescriptionName: boolean;
                      useJFLFromFileName: boolean;
                      descriptor: string;
                    END;

  { Tfrm_options }

  Tfrm_options = class(TForm)
    btn_descriptor: TButton;
    btn_name_descriptor: TButton;
    chk_RLE_compression: TCheckBox;
    chk_compress_BM: TCheckBox;
    chk_desc_create: TCheckBox;
    descriptor_save: TSaveDialog;
    descriptionbox: TGroupBox;
    txt_descriptor: TEdit;
    procedure btn_descriptorClick(Sender: TObject);
    procedure btn_name_descriptorClick(Sender: TObject);
    procedure chk_desc_createChange(Sender: TObject);
    procedure chk_descriptorChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure txt_descriptorKeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
     JFLsoptions : TJFLOptions;
  end; 

var
  frm_options: Tfrm_options;

  JFLsoptions : TJFLOptions; // The options

implementation

{ Tfrm_options }

procedure Tfrm_options.btn_descriptorClick(Sender: TObject);
begin
  if descriptor_save.Execute then
    txt_descriptor.Text := descriptor_save.FileName;
end;

procedure Tfrm_options.btn_name_descriptorClick(Sender: TObject);
begin

end;

procedure Tfrm_options.chk_desc_createChange(Sender: TObject);
begin
  JFLsoptions.useDescriptionName := chk_desc_create.Checked;
  if chk_desc_create.Checked then
  begin
    descriptionbox.Enabled:= true;
    exit;
  end;
  descriptionbox.Enabled:= false;
end;

procedure Tfrm_options.chk_descriptorChange(Sender: TObject);
begin
end;

procedure Tfrm_options.FormCreate(Sender: TObject);
begin
  JFLsoptions.useDescriptionName := false;
  JFLsoptions.useJFLFromFileName := true;
  JFLsoptions.descriptor:= '';
end;

procedure Tfrm_options.txt_descriptorKeyPress(Sender: TObject; var Key: char);
begin
  JFLsoptions.descriptor:= txt_descriptor.Text;
end;

initialization
  {$I unit2.lrs}

end.

